import { Octokit } from "octokit";
export type GetterDefaultInputValues = {
    [K in keyof DefaultInputValues]: DefaultInputValues[K] | (() => Promise<DefaultInputValues[K]>);
};
export interface DefaultInputValues {
    author: string | undefined;
    description: string;
    email: string | undefined;
    funding: string | undefined;
    owner: string | undefined;
    releases: boolean | undefined;
    repository: string;
    skipApi: boolean;
    skipRemoval: boolean;
    skipRestore: boolean;
    skipUninstalls: boolean;
    title: string;
    unitTests: boolean | undefined;
}
export interface InputValues extends DefaultInputValues {
    owner: string;
}
export interface InputValuesAndOctokit {
    octokit: Octokit | undefined;
    values: InputValues;
}
export declare function getInputValuesAndOctokit(args: string[], defaults?: Partial<GetterDefaultInputValues>): Promise<InputValuesAndOctokit>;
//# sourceMappingURL=inputs.d.ts.map